{{page-title this.pageTitle replace=true}}
<div class="add-student">

  <PixReturnTo
    @route="authenticated.sessions.details.certification-candidates"
    @model={{@model.session.id}}
    class="add-student__return-to"
  >Retour à la session</PixReturnTo>

  <h1 class="add-student__title">Inscrire des candidats</h1>
  <PixMessage @type="info" @withIcon={{true}} class="add-student__info-message">
    Si certain(e)s élèves n’apparaissent pas dans cette liste, merci de ré-importer le fichier élèves dans écri+eval.<br
    />
    Si malgré tout des élèves ne sont pas visibles, merci de contacter
    <a href="https://support.ecriplus.fr" target="_blank" rel="noopener noreferrer">support.écriplus.fr</a>.
  </PixMessage>

  <AddStudentList
    @studentList={{@model.students}}
    @session={{@model.session}}
    @numberOfEnrolledStudents={{@model.numberOfEnrolledStudents}}
    @certificationCenterDivisions={{@model.certificationCenterDivisions}}
    @returnToSessionCandidates={{this.returnToSessionCandidates}}
    @selectedDivisions={{@model.selectedDivisions}}
  />
</div>